## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ElementPrefixResolverProxy Class Reference

Inheritance diagram for ElementPrefixResolverProxy:

[legend]
Collaboration diagram for ElementPrefixResolverProxy:

[legend]
List of all members.

## Public Member Functions

- ElementPrefixResolverProxy (const XalanElement *namespaceContext, const XPathEnvSupport &envSupport, const DOMSupport &domSupport, MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
    Construct an instance of an element prefix resolver proxy.
- ElementPrefixResolverProxy (const XalanElement *namespaceContext, MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR, const XPathEnvSupport *envSupport=0)
    Construct an instance of an element prefix resolver proxy.
- virtual ~ElementPrefixResolverProxy ()
- virtual const XalanDOMString * getNamespaceForPrefix (const XalanDOMString &prefix) const
    Retrieve a namespace corresponding to a prefix.
- virtual const XalanDOMString & getURI () const
    Retrieve the base URI for the resolver.

## Constructor & Destructor Documentation

ElementPrefixResolverProxy::ElementPrefixResolverProxy | ( | const XalanElement * | namespaceContext,
|  | const XPathEnvSupport & | envSupport,
|  | const DOMSupport & | domSupport,
|  | MemoryManagerType &theManager | XALAN_DEFAULT_MEMMGR
| ) |

  | Construct an instance of an element prefix resolver proxy. Parameters:
  namespaceContext | context object for namespace resolution
  envSupport | XPath environment support class instance
  domSupport | DOMSupport class instance
Deprecated:

ElementPrefixResolverProxy::ElementPrefixResolverProxy | ( | const XalanElement * | namespaceContext,
|  | MemoryManagerType &theManager | XALAN_DEFAULT_MEMMGR,
|  | const XPathEnvSupport * | envSupport = 0
| ) |

  | Construct an instance of an element prefix resolver proxy. Parameters:
  namespaceContext | context object for namespace resolution
  envSupport | XPath environment support class instance

virtual ElementPrefixResolverProxy::~ElementPrefixResolverProxy | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const XalanDOMString* ElementPrefixResolverProxy::getNamespaceForPrefix | ( | const XalanDOMString & | prefix | ) | const`[virtual]`

  | Retrieve a namespace corresponding to a prefix. This assumes that the PrevixResolver holds its own namespace context, or is a namespace context itself. Parameters:
  prefix | Prefix to resolve
Returns: namespace that prefix resolves to, or null if prefix is not found Implements PrefixResolver.

virtual const XalanDOMString& ElementPrefixResolverProxy::getURI | ( |  | ) | const`[virtual]`

| Retrieve the base URI for the resolver. Returns: URI string Implements PrefixResolver.

The documentation for this class was generated from the following file:

- ElementPrefixResolverProxy.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.